FreeMat

- Main Page
- Related Pages

vtkXMLCompositeDataWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLCompositeDataWriter writes (serially) the VTK XML multi-group, multi-block hierarchical and hierarchical box files. XML multi-group data files are meta-files that point to a list of serial VTK XML files.

To create an instance of class vtkXMLCompositeDataWriter, simply invoke its constructor as follows

      obj = vtkXMLCompositeDataWriter

# Methods

The class vtkXMLCompositeDataWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLCompositeDataWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLCompositeDataWriter = obj.NewInstance ()`
- `vtkXMLCompositeDataWriter = obj.SafeDownCast (vtkObject o)`
- `string = obj.GetDefaultFileExtension ()` - Get the default file extension for files written by this writer.
- `int = obj.GetGhostLevel ()` - Get/Set the number of ghost levels to be written.
- `obj.SetGhostLevel (int )` - Get/Set the number of ghost levels to be written.
- `int = obj.GetWriteMetaFile ()` - Get/Set whether this instance will write the meta-file.
- `obj.SetWriteMetaFile (int flag)` - Get/Set whether this instance will write the meta-file.